Thread::isStarted
Thread::kill
Thread
PHP Manual

# Thread::join

(PECL pthreads >= 2.0.0)

Thread::join — Synchronization

### Description

public boolean Thread::join ( void )

Causes the calling context to wait for the referenced Thread to finish executing

### Parameters

This function has no parameters.

### Return Values

A boolean indication of success

### Examples

Example #1 Join with the referenced Thread

`<?php
class My extends Thread {
public function run() {
/* ... */
}
}
$my = new My();
$my->start();
/* ... */
var_dump($my->join());
/* ... */
?>`

The above example will output:

    bool(true)

Thread::isStarted
Thread::kill
Thread
PHP Manual